@charset "utf-8";

:root {
    --primary-color: #560112;
    --secondry-color: #b48355;
}


.styles_title__3gbcR h1 {
    display: none;
}

@media only screen and (max-width: 767px) {

    .styles_wrapper__1KXj1 .styles_innerMain__2kln_ {
        padding: 0px !important;
        box-shadow: 0 6px 10px rgb(0 0 0 / 0%) !important;
    }

    .styles_wrapper__1KXj1 .styles_innerMain__2kln_ .styles_rightInner__tfiFm .styles_topBar__2JFQT {
        padding-bottom: 0px !important;
    }
}





/*banner
========================================== */

.forum-banner {
    width: 100%;
    min-height: 400px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 7px;
    font-size: 15px;
    overflow: hidden;
}

@media only screen and (max-width: 1000px) {
    .forum-banner {
        align-items: end;
    }

    .forum-banner-text h3 b {
        display: block;
    }
}

@media only screen and (min-width: 767px) {
    .forum-banner {
        background: left bottom / 350px no-repeat url("https://ntnu-edu.com/oia/2023forum/images/banner-bg01.png"), left bottom / 100% no-repeat url("https://ntnu-edu.com/oia/2023forum/images/banner-bg03.png"), #8d050b right top / 35% no-repeat url("https://ntnu-edu.com/oia/2023forum/images/banner-bg02.png");
    }
}

.forum-banner-text {
    max-width: 650px;
    color: #fff!important;
    padding: 20px;
    text-shadow: 1px 2px 2px rgba(0, 0, 0, 0.4);
}

.forum-banner-text h3 {
    color: #fff;
    font-size: 32px;
    font-family: 'Oswald', "Microsoft Yahei", "Noto Sans TC", sans-serif !important;
    font-weight: 300;
    letter-spacing: 1px;
    text-align: center;
}
.forum-banner-text h4 {
    color: #fff;
    font-size: 20px;
    text-align: center;
}



.forum-banner-topic {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    gap: 10px;

}

.forum-banner-topic div {
    border-radius: 5px;
    padding: 5px;
    color: #fff;
    font-weight: 700;
    border-bottom: 3px solid var(--secondry-color);
    text-align: center;
    font-size: 16px;
}


@media only screen and (max-width: 767px) {
    .forum-banner {
        background: left bottom / 380px no-repeat url("https://ntnu-edu.com/oia/2023forum/images/banner-bg01.png"), left bottom / 100% no-repeat url("https://ntnu-edu.com/oia/2023forum/images/banner-bg03.png"), #440e0e right top / 30% no-repeat url("https://ntnu-edu.com/oia/2023forum/images/banner-bg02.png");
        min-height: 480px;
    }

    .forum-banner-text h3 {
        font-size: 20px;
    }
    .forum-banner-topic div {
        font-size: 12px;
    }
}




/* ---------------------------------- */


/*  table-type 
------------------------------------- */

.table-type {

    width: 100%;
    overflow: visible !important;
    background: transparent !important;
    box-shadow: 0px 25px 30px rgba(27, 31, 49, 0) !important;
    border-collapse: separate !important;
}

.table-type {
    margin: 20px 0;
    border-spacing: 3px !important;
}

.table-type td {
    border-radius: 5px !important;
    background-color: #f3e3d0;
    padding: 40px 2vw 20px 1vw !important;
    position: relative;
    color: #000;
    border-spacing: 20px;
    vertical-align: top;
}

.table-type td h3 {
    display: inline;
    width: 66px;
    height: 66px;
    border-radius: 100px;
    color: #fff;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    top: -40px;
    left: calc(50% - 33px);
    font-size: 15px;
    z-index: 9999;
}

.table-type td h4 {
    display: inline;
    border-radius: 100px;
    color: #fff;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    top: -20px;
    font-size: 15px;
    padding: 6px 20px;
    background-color: var(--secondry-color);
}

@media only screen and (max-width: 1200px) {
    .table-type td h3 {
        transform: scale(0.8);
        transform-origin: center center;
    }

    .table-type td {
        width: 100%;
        display: block !important;
        margin: 20px 0;
        padding: 30px 20px 20px 20px !important;
    }
}


/*timeline
========================================== */

.forum-timeline {
    background-color: #fff;
    border-radius: 10px;
    padding: 1vw;
    border: 1px solid #ddd;
}

.forum-timeline a {
    color: #000;


}

@media only screen and (min-width: 1400px) {

    .forum-timeline {
        display: flex;
    }

    .forum-timeline-box {
        padding: 1vw;
        flex: 1;
    }
}


.forum-timeline-list {
    display: grid;
    grid-template-columns: 70px 7px 1fr;
    gap: 50px 20px;
}

@media only screen and (max-width: 900px) {
    .forum-timeline-list {
        display: grid;
        grid-template-columns: 50px 7px 1fr;
        gap: 10px;
    }
}

.timeline-data {
    text-align: right;
    font-weight: 700;
    color: var(--primary-color);
}

.timeline-line {
    background-color: #f2f2f2;
    height: 100%;
    position: relative;
}

.timeline-line::before {
    content: '';
    position: absolute;
    top: 0px;
    left: -9px;
    width: 15px;
    height: 15px;
    background-color: var(--primary-color);
    border-radius: 100px;
    border: 5px solid #fff;
    z-index: 999;
}

.timeline-text {
    padding: 0;
    border-bottom: 1px dashed #ddd;
    padding: 0px;
    border-radius: 0px;
    margin-bottom: 10px;
}

.timeline-text h3 {
    margin: 0px;
    font-size: 18px;
}

.timeline-text ul {
    list-style: none;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    gap: 5px 20px;
    padding: 0;
    margin: 10px 0;

}

@media only screen and (max-width: 900px) {
    .timeline-text ul {
        grid-template-columns: 1fr 1fr;
        gap: 5px 10px;
    }
}

.timeline-text ul li {
    list-style: none;
    border: 0px solid rgba(0, 0, 0, 0.1);
    padding: 5px;
    border-radius: 5px;
    line-height: 1.2;
    text-align: center;
    font-size: 13px;
}

.timeline-text ul li span {
    display: block;
}

.timeline-pic {
    width: 80px;
    min-width: 80px;
    aspect-ratio: auto 1 / 1;
    margin: 5px auto;
}

.timeline-pic img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: 50% 50%;
    border-radius: 500px;
}

@media only screen and (max-width: 767px) {
    .timeline-pic img {
        width: 70px;
        height: 70px;
    }
}



.forum-speaker {
    display: grid;
    grid-template-columns: 180px 1fr;
    padding: 5px 10px 5px 25px;
}

.forum-speaker-text {
    padding-top: 20px;
}


@media only screen and (max-width: 767px) {
    .forum-speaker {
        display: grid;
        grid-template-columns: 90px 1fr;
        padding: 5px 10px;
    }
}




.btn-apply {
    background-color: var(--primary-color);
    padding: 10px 15px;
    border-radius: 50px;
    color: #fff !important;
}


.timeline-title {
    text-align: center;
    font-weight: 700;
    margin: 30px 0;
}






.text-animate {
    font-size: 60px;
    background-image: linear-gradient(-45deg, #463231, #463231, #F5BA39, #463231, #463231, #463231, #463231, #463231);
    background-size: 600% 600%;
    -webkit-font-smoothing: antialiased;
    -webkit-background-clip: text;
    -moz-background-clip: text;
    background-clip: text;
    -webkit-text-fill-color: transparent;
    animation: gradientBG 5s ease infinite;
    display: inline-block;
    line-height: 1;
}


@keyframes gradientBG {
    0% {
        background-position: 0 100%;
    }

    50% {
        background-position: 100% 0;
    }

    100% {
        background-position: 0 100%;
    }
}